export declare function uptime(): number;
export declare function log(message: string, ...optionalParams: any[]): void;
export type InstrumentationMode = 'counters' | 'timeline' | 'lifecycle';
export interface TimerInfo {
    totalTime: number;
    lastTime?: number;
    count: number;
    currentStart: number;
    /**
     * Counts the number of entry and exits a function had.
     */
    runCount: number;
}
export declare const time: () => number;
export declare function start(name: string): void;
export declare function stop(name: string): TimerInfo;
export declare function timer(name: string): TimerInfo;
export declare function print(name: string): TimerInfo;
export declare function isRunning(name: string): boolean;
export declare enum Level {
    none = 0,
    lifecycle = 1,
    timeline = 2
}
export declare function enable(mode?: InstrumentationMode): void;
export declare function disable(): void;
export declare function profile(nameFnOrTarget?: string | Function | Object, fnOrKey?: Function | string | symbol, descriptor?: PropertyDescriptor, attrs?: any): any;
export declare function dumpProfiles(): void;
export declare function resetProfiles(): void;
export declare function startCPUProfile(name: string): void;
export declare function stopCPUProfile(name: string): void;
export declare function level(): Level;
export declare function trace(message: string, start: number, end: number): void;
